Bug 186937 - [Mac] Web Automation: include correct key code with synthesized NSEvents used for keystrokes
Summary: [Mac] Web Automation: include correct key code with synthesized NSEvents used...
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebDriver (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Brian Burg
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2018-06-22 12:45 PDT by Brian Burg
Modified: 2018-06-25 09:23 PDT (History)
7 users (show)

See Also:


Attachments
Patch (5.22 KB, patch)
2018-06-22 12:50 PDT, Brian Burg
no flags Details | Formatted Diff | Diff
Patch (5.21 KB, patch)
2018-06-24 18:13 PDT, Brian Burg
ews: commit-queue-
Details | Formatted Diff | Diff
Archive of layout-test-results from ews105 for mac-sierra-wk2 (2.80 MB, application/zip)
2018-06-24 19:38 PDT, Build Bot
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Brian Burg 2018-06-22 12:45:44 PDT
Currently the code only computes these for VirtualKeys, but key codes exist for ASCII letters as well.
Comment 1 Brian Burg 2018-06-22 12:50:22 PDT
Created attachment 343357 [details]
Patch
Comment 2 Brian Burg 2018-06-24 18:13:08 PDT
Created attachment 343472 [details]
Patch
Comment 3 Build Bot 2018-06-24 19:38:17 PDT
Comment on attachment 343472 [details]
Patch

Attachment 343472 [details] did not pass mac-wk2-ews (mac-wk2):
Output: https://webkit-queues.webkit.org/results/8317819

Number of test failures exceeded the failure limit.
Comment 4 Build Bot 2018-06-24 19:38:19 PDT
Created attachment 343473 [details]
Archive of layout-test-results from ews105 for mac-sierra-wk2

The attached test failures were seen while running run-webkit-tests on the mac-wk2-ews.
Bot: ews105  Port: mac-sierra-wk2  Platform: Mac OS X 10.12.6
Comment 5 Brian Burg 2018-06-25 09:22:13 PDT
Committed r233149: <https://trac.webkit.org/changeset/233149>
Comment 6 Radar WebKit Bug Importer 2018-06-25 09:23:23 PDT
<rdar://problem/41426265>